PASSWD(1)

NAME
passwd - ändert das Passwort eines Benutzers

ÜBERSICHT

passwd [Optionen] [ANMELDENAME]

BESCHREIBUNG

The passwd command changes passwords for user accounts. A normal user may only change the password for their own account, while the superuser may change the password for any account. passwd also changes the account or associated password validity period.

  Verändern des Passworts

Der Benutzer wird zuerst nach seinem alten Passwort gefragt, falls eines vorhanden ist. Dieses Passwort wird dann verschlüsselt und mit dem gespeicherten Passwort verglichen. Der Benutzer hat nur eine Gelegenheit, das richtige Passwort einzugeben. Der Superuser kann diesen Schritt überspringen, um so vergessene Passwörter zu ändern.

After the password has been entered, password aging information is checked to see if the user is permitted to change the password at this time. If not, passwd refuses to change the password and exits.

Der Benutzer wird dann aufgefordert, zweimal ein neues Passwort einzugeben. Beide Eingaben werden miteinander verglichen. Sie müssen übereinstimmen, damit das Passwort geändert wird.

Anschließend wird das Passwort auf seine Komplexität überprüft. Eine allgemeine Richtlinie besagt, dass Passwörter aus sechs bis acht Zeichen bestehen sollten und ein oder mehrere Zeichen aus folgenden Mengen enthalten sollten:

    • Kleinbuchstaben

    • Ziffern 0 bis 9

    • Satzzeichen

Care must be taken not to include the system default erase or kill characters. passwd will reject any password which is not suitably complex.

  Hinweise zu Benutzerpasswörtern

The security of a password depends upon the strength of the encryption algorithm and the size of the key space. The legacy UNIX System encryption method is based on the NBS DES algorithm. More recent methods are now recommended (see ENCRYPT_METHOD). The size of the key space depends upon the randomness of the password which is selected.

Gefahren für die Sicherheit von Passwörtern kommen gewöhnlich von sorgloser Wahl oder Handhabung des Passworts. Daher sollten Sie kein Passwort wählen, das in einem Wörterbuch auftaucht oder das aufgeschrieben werden muss. Das Passwort sollte somit kein echter Name, Ihr Autokennzeichen, Geburtstag oder Ihre Adresse sein. All das kann dazu verwendet werden, das Passwort zu erraten, und stellt daher eine Gefahr für die Sicherheit Ihres Systems dar.

You can find advice on how to choose a strong password on http://en.wikipedia.org/wiki/Password_strength

OPTIONEN

The options which apply to the passwd command are:

-a, --all
    This option can be used only with -S and causes show status for all users.

-d, --delete
    Löscht das Passwort eines Benutzers (macht es leer). Dies ist ein schneller Weg, um das Passwort eines Kontos zu deaktivieren. Dem Konto ist dann kein Passwort zugeordnet.

-e, --expire
    Lässt das Passwort eines Kontos sofort verfallen. Im Ergebnis kann damit erreicht werden, dass ein Benutzer beim nächsten Login das Passwort ändern muss.

-h, --help
    zeigt die Hilfe an und beendet das Programm

-i, --inactive INACTIVE
    This option is used to disable an account after the password has been expired for a number of days. After a user account has had an expired password for INACTIVE days, the user may no longer sign on to the account.

-k, --keep-tokens
    Zeigt an, dass nur abgelaufene Passwörter geändert werden sollen. Der Benutzer möchte seine gültigen Passwörter unverändert lassen.

-l, --lock
    Sperrt das Passwort des bezeichneten Kontos. Die Option schaltet ein Passwort ab, indem es ihm einen Wert zuweist, der mit keinem möglichen verschlüsselten Wert übereinstimmen kann. Dies geschieht, indem ein »!« dem Passwort vorangestellt wird.

    Note that this does not disable the account. The user may still be able to login using another authentication token (e.g. an SSH key). To disable the account, administrators should use usermod --expiredate 1 (this set the account's expire date to Jan 2, 1970).

    Benutzer mit einem gesperrten Passwort können dieses nicht ändern.

-n, --mindays MIN_DAYS
    Set the minimum number of days between password changes to MIN_DAYS. A value of zero for this field indicates that the user may change their password at any time.

-q, --quiet
    stiller Modus

-r, --repository REPOSITORY
    change password in REPOSITORY repository

-R, --root CHROOT_DIR
    Apply changes in the CHROOT_DIR directory and use the configuration files from the CHROOT_DIR directory.

-S, --status
    Zeigt Informationen über den Kontostatus an. Die Statusinformation besteht aus sieben Feldern. Das erste Feld ist der Anmeldename des Benutzers. Das zweite Feld zeigt an, ob das Benutzerkonto ein gesperrtes Passwort (L), kein Passwort (NP) oder ein verwendbares Passwort hat (P). Das dritte Feld zeigt das Datum der letzten Änderung des Passworts an. Die nächsten vier Felder sind das Mindestalter, das Höchstalter, die Dauer der Warnung und die Dauer der Untätigkeit für das Passwort. Die Zeiträume werden in Tagen ausgedrückt.

-u, --unlock
    Unlock the password of the named account. This option re-enables a password by changing the password back to its previous value (to the value before using the -l option).

-w, --warndays WARN_DAYS
    Set the number of days of warning before a password change is required. The WARN_DAYS option is the number of days prior to the password expiring that a user will be warned that their password is about to expire.

-x, --maxdays MAX_DAYS
    Set the maximum number of days a password remains valid. After MAX_DAYS, the password is required to be changed.

    Passing the number -1 as MAX_DAYS will remove checking a password's validity.

WARNUNGEN

Die Komplexität der Passwortprüfung kann sich auf verschiedenen Systemen unterscheiden. Der Benutzer wird angehalten, ein möglichst komplexes, von ihm aber gut zu verwendendes Passwort zu wählen.

Benutzer können unter Umständen ihr Passwort nicht ändern, wenn auf dem System NIS aktiviert ist, sie aber nicht am NIS-Server angemeldet sind.

KONFIGURATION

The following configuration variables in /etc/login.defs change the behavior of this tool:

ENCRYPT_METHOD (string)
    Damit wird der standardmäßige Verschlüsselungsalgorithmus, mit dem Passwörter verschlüsselt werden, bestimmt (soweit nicht in der Befehlszeile ein Algorithmus angegeben wird).

    It can take one of these values: DES (default), MD5, SHA256, SHA512.

    Note: this parameter overrides the MD5_CRYPT_ENAB variable.

MD5_CRYPT_ENAB (boolean)
    Indicate if passwords must be encrypted using the MD5-based algorithm. If set to yes, new passwords will be encrypted using the MD5-based algorithm compatible with the one used by recent releases of FreeBSD. It supports passwords of unlimited length and longer salt strings. Set to no if you need to copy encrypted passwords to other systems which don't understand the new algorithm. Default is no.

    This variable is superseded by the ENCRYPT_METHOD variable or by any command line option used to configure the encryption algorithm.

    This variable is deprecated. You should use ENCRYPT_METHOD.

OBSCURE_CHECKS_ENAB (boolean)
    Aktiviert zusätzliche Tests bei der Veränderung eines Passworts.

PASS_ALWAYS_WARN (boolean)
    weist auf schwache Passwörter hin (aber lässt sie zu), falls Sie root sind

PASS_CHANGE_TRIES (number)
    maximale Anzahl von Versuchen, ein Passwort zu ändern, wenn dies wegen zu geringer Stärke des gewählten Passworts abgelehnt wurde

PASS_MAX_LEN (number), PASS_MIN_LEN (number)
    Number of significant characters in the password for crypt(). PASS_MAX_LEN is 8 by default. Don't change unless your crypt() is better. This is ignored if MD5_CRYPT_ENAB set to yes.

SHA_CRYPT_MIN_ROUNDS (number), SHA_CRYPT_MAX_ROUNDS (number)
    When ENCRYPT_METHOD is set to SHA256 or SHA512, this defines the number of SHA rounds used by the encryption algorithm by default (when the number of rounds is not specified on the command line).

    Je mehr Runden Sie definieren, umso schwieriger ist es, das Passwort mit sturem Durchprobieren (brute force) zu knacken; umso mehr Rechenleistung wird jedoch auch für die Anmeldung eines Benutzers benötigt.

    Falls Sie nichts angeben, wird libc die Standardanzahl der Runden festlegen (5000).

    Die Werte müssen zwischen 1000-999.999.999 liegen.

    If only one of the SHA_CRYPT_MIN_ROUNDS or SHA_CRYPT_MAX_ROUNDS values is set, then this value will be used.

    If SHA_CRYPT_MIN_ROUNDS > SHA_CRYPT_MAX_ROUNDS, the highest value will be used.

DATEIEN

/etc/passwd
    Informationen zu den Benutzerkonten

/etc/shadow
    verschlüsselte Informationen zu den Benutzerkonten

/etc/login.defs
    Konfiguration der Shadow-Passwort-Werkzeugsammlung

RÜCKGABEWERTE

The passwd command exits with the following values:

0
    success

1
    permission denied

2
    invalid combination of options

3
    unexpected failure, nothing done

4
    unexpected failure, passwd file missing

5
    passwd file busy, try again

6
    invalid argument to option

SIEHE AUCH

chpasswd(8), passwd(5), shadow(5), login.defs(5), usermod(8).